#include "settings.h"
#include <ESP8266MQTTMesh.h>
#include <FS.h>

//    |----------------------------------|
//    |            SIWAT INC             |
//    |----------------------------------|
#define      FIRMWARE_ID        0x1337
#define      FIRMWARE_VER       "0.1"
wifi_conn    networks[]       = {WIFI_CONN("ssid 1", "Password", NULL, 0),WIFI_CONN("ssid 2", "Another Password", NULL, 0),NULL,};

String ID  = String(ESP.getChipId());




unsigned long previousMillis = 0;
const long interval = 5000;
int cnt = 0;
ESP8266MQTTMesh mesh = ESP8266MQTTMesh::Builder(networks, mqtt_server, mqtt_port).setMqttAuth(mqtt_user, mqtt_password).setVersion(FIRMWARE_VER, FIRMWARE_ID).setMeshPassword(mesh_password).build();
,
void callback(const char *topic, const char *msg); //define initial callback



void setup() {

    Serial.begin(115200);
    delay(1000);
    mesh.setCallback(callback);
    mesh.begin();

}


void loop() {
    if (! mesh.connected())return;
    unsigned long currentMillis = millis();
    if (currentMillis - previousMillis >= interval) {
          mesh.publish("", msg.c_str());
          previousMillis = currentMillis;
          cnt++;
    }
}



void callback(const char *topic, const char *msg) {
  Serial.print(topic);
  Serial.print(msg);
}
